Photon OS 3.0: Pkg PHSA-2021-3.0-0346

high Nessus Plugin ID 156586

Synopsis

The remote PhotonOS host is missing multiple security updates.

Description

An update of the pkg package has been released.

- ** DISPUTED ** GNOME GLib before 2.65.3 has an integer overflow, that might lead to an out-of-bounds write, in g_option_group_add_entries. NOTE: the vendor's position is Realistically this is not a security issue. The standard pattern is for callers to provide a static list of option entries in a fixed number of calls to g_option_group_add_entries(). The researcher states that this pattern is undocumented.
(CVE-2020-35457)

- An issue was discovered in GNOME GLib before 2.66.7 and 2.67.x before 2.67.4. If g_byte_array_new_take() was called with a buffer of 4GB or more on a 64-bit platform, the length would be truncated modulo 2**32, causing unintended length truncation. (CVE-2021-27218)

Solution

Update the affected Linux packages.

See Also

https://github.com/vmware/photon/wiki/Security-Updates-3.0-346.md

Plugin Details

Severity: High

ID: 156586

File Name: PhotonOS_PHSA-2021-3_0-0346_pkg.nasl

Version: 1.3

Type: local

Published: 1/10/2022

Updated: 1/24/2022

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.4

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2020-35457

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:vmware:photonos:pkg, cpe:/o:vmware:photonos:3.0

Required KB Items: Host/local_checks_enabled, Host/PhotonOS/release, Host/PhotonOS/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 12/31/2021

Vulnerability Publication Date: 12/14/2020

Reference Information

CVE: CVE-2020-35457, CVE-2021-27218